CommonConstants (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.client
Class CommonConstants

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.client.CommonConstants

    public class CommonConstants

extends Object

`ReportConstants` class represent The template Model Common Constants

Version:
  October 2008 (0.2)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Field Summary
`static String` | `ACCEPTED_CHARS_ALPHANUM` Reg Ex to accept Alphanumeric values
`static String` | `ACCEPTED_CHARS_JUST_NUM` Reg Ex to accept only numbers
`static String` | `ACCEPTED_CHARS_REG_EX` Reg Ex to accept Alphanumeric values and _ and - and @
`static String` | `BOLD_FORMAT` Widget Type indentifier
`static int` | `DROPPING_AREA` Widget Type indentifier
`static String` | `IMAGE_DROPPING_AREA_IMG`
`static String` | `IMAGE_DROPPING_AREA_TXT`
`static int` | `INPUT_TEXTBOX_AREA` Widget Type indentifier
`static int` | `STATIC_IMAGE` Widget Type indentifier
`static int` | `STATIC_TEXT` Widget Type indentifier

Constructor Summary
`CommonConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOLD_FORMAT

    public static final String BOLD_FORMAT

  Widget Type indentifier

### STATIC_TEXT

    public static final int STATIC_TEXT

  Widget Type indentifier

  See Also:
    Constant Field Values

### STATIC_IMAGE

    public static final int STATIC_IMAGE

  Widget Type indentifier

  See Also:
    Constant Field Values

### DROPPING_AREA

    public static final int DROPPING_AREA

  Widget Type indentifier

  See Also:
    Constant Field Values

### INPUT_TEXTBOX_AREA

    public static final int INPUT_TEXTBOX_AREA

  Widget Type indentifier

  See Also:
    Constant Field Values

### ACCEPTED_CHARS_ALPHANUM

    public static final String ACCEPTED_CHARS_ALPHANUM

  Reg Ex to accept Alphanumeric values

  See Also:
    Constant Field Values

### ACCEPTED_CHARS_REG_EX

    public static final String ACCEPTED_CHARS_REG_EX

  Reg Ex to accept Alphanumeric values and _ and - and @

  See Also:
    Constant Field Values

### ACCEPTED_CHARS_JUST_NUM

    public static final String ACCEPTED_CHARS_JUST_NUM

  Reg Ex to accept only numbers

  See Also:
    Constant Field Values

### IMAGE_DROPPING_AREA_IMG

    public static final String IMAGE_DROPPING_AREA_IMG

### IMAGE_DROPPING_AREA_TXT

    public static final String IMAGE_DROPPING_AREA_TXT

Constructor Detail

### CommonConstants

    public CommonConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.